function outmin = mymatmin(mat)
% mymatmin finds the min in every column in a matrix
% Returns a vector of the column minima
% Format: mymatmin(matrix)
 
[row col] = size(mat);
 
% Preallocate the vector to the number of columns
outmin = zeros(1,col);
 
for i = 1:col
    % the min so far is the first
    minsofar = mat(1,i);
    for j = 1:row
        if mat(j,i) < minsofar
            minsofar = mat(j,i);
    end
    outmin(i) = minsofar;
end
end
