function outvec = myveccumprod(vec)
% myveccumprod imitates cumprod for a vector
% It preallocates the output vector
% Format: myveccumprod(vector)
 
outvec = zeros(size(vec));
runprod = 1;
for i = 1:length(vec)
    runprod = runprod * vec(i);
    outvec(i) = runprod;
end
end
